Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2761893002: Enable ThinLTO cache. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by krasin1
Modified:
2 months ago
Reviewers:
Dirk Pranke (slow)
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Enable ThinLTO cache. This allows to reuse some codegen work when linking multiple targets with the intersecting set of object files, resulting in a reduce of overall build time. This creates a thinlto-cache directory inside src/out/<gn-config-name>/ and keeping a lot of llvmcache* files there. BUG=672158 Review-Url: https://codereview.chromium.org/2761893002 Cr-Commit-Position: refs/heads/master@{#458418} Committed: https://chromium.googlesource.com/chromium/src/+/33d8074e449407ac84ad0e6f3ea7ab3dbda19f28

Patch Set 1 #

Messages

Total messages: 19 (14 generated)
krasin1
Hi Dirk, this is the first time I try to use rebase_path. While it works ...
2 months ago (2017-03-20 18:12:48 UTC) #3
Dirk Pranke (slow)
Yes, I think that's right. lgtm.
2 months ago (2017-03-20 23:35:02 UTC) #12
krasin1
On 2017/03/20 23:35:02, Dirk Pranke wrote: > Yes, I think that's right. > > lgtm. ...
2 months ago (2017-03-21 15:11:44 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2761893002/1
2 months ago (2017-03-21 15:11:53 UTC) #15
commit-bot: I haz the power
2 months ago (2017-03-21 15:19:14 UTC) #18
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/33d8074e449407ac84ad0e6f3ea7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06